## emacs-deferred 0.5.0

=== debian/changelog ===
emacs-deferred (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Refresh patches
  * Add emacs25 to Enhances field

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 18 Jan 2017 21:24:39 +0500

emacs-deferred (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #837921)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 15 Sep 2016 17:43:28 +0500
