=== debian/control ===
Source: emacs-deferred
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/kiwanami/emacs-deferred
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-deferred.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-deferred.git

Package: elpa-deferred
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: simple asynchronous functions for Emacs Lisp
 It is a simple library for asynchronous tasks.
 .
 The API is almost the same as JSDeferred (by cho45) and Mochikit.Async
 (by Bob Ippolito) in JavaScript.

Package: elpa-concurrent
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs,
         elpa-deferred (= ${binary:Version})
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: higher level library for concurrent tasks
 It is a higher level library for concurrent tasks based on deferred.el. This
 library has following features:
 .
  - Generator
  - Green thread
  - Semaphore
  - Dataflow
  - Signal/Channel
