=== debian/changelog ===
emacs-deferred (0.5.1-5) unstable; urgency=medium

  * Add patch to fix wrong-number-of-arguments error (Closes: #1020029)
  * Add upstream metadata
  * d/control: Declare Standards-Version 4.6.1 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 07 Oct 2022 16:46:44 +0500

emacs-deferred (0.5.1-4) unstable; urgency=medium

  * Optimize dependencies in d/tests/control
  * d/control: Migrate to debhelper-compat 13
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/control: Add Testsuite field
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 31 Dec 2020 15:32:23 +0500

emacs-deferred (0.5.1-3) unstable; urgency=medium

  * Migrate to debhelper 12 without d/compat
  * Fix autopkgtest
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)
  * d/control: Add Rules-Requires-Root: no
  * d/control: Clean dependencies
  * d/control: Drop Built-Using field
  * d/copyright: Bump copyright years
  * d/rules: Do not override dh_elpa_test

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 03 Aug 2019 00:52:49 +0500

emacs-deferred (0.5.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Sat, 02 Jun 2018 20:18:46 -0300

emacs-deferred (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * Rename and refresh patch to clear documentation
  * Don't pass --parallel to dh, compat is 10
  * Add patch to fix version number

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 20 Jun 2017 10:25:04 +0500
