=== debian/control ===
Source: emacs-deferred
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-elpa
Standards-Version: 4.6.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/kiwanami/emacs-deferred
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-deferred
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-deferred.git

Package: elpa-deferred
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: simple asynchronous functions for Emacs Lisp
 It is a simple library for asynchronous tasks.
 .
 The API is almost the same as JSDeferred (by cho45) and Mochikit.Async
 (by Bob Ippolito) in JavaScript.

Package: elpa-concurrent
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         elpa-deferred (= ${binary:Version})
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: higher level library for concurrent tasks
 It is a higher level library for concurrent tasks based on deferred.el. This
 library has following features:
 .
  - Generator
  - Green thread
  - Semaphore
  - Dataflow
  - Signal/Channel
